curl --request GET \
--url https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSize": 100,
"pageSize": 10,
"pages": 10,
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"name": "Furniture",
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"nodeId": 12,
"name": "picture",
"breadcrumbString": "PRIMARY/Furniture/Chairs"
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Get category source exclusions
Gets available exclusions applied to a category source.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
A 24-character system-generated category ID. id and nodeId are the two identifiers of a category and one of them must be specified.
Numeric category ID. id and nodeId are the two identifiers of a category and one of them must be specified.
Status of category source.
Note: If omitted, 'ASSIGNED' status is used by default.
ASSIGNED, UNASSIGNED "ASSIGNED"
Page number to be retrieved. Applicable only in a paginated response and always paired with size.
Number of records per page. Applicable only in a paginated response and always paired with page.
Response
OK
Total number of records
100
Number of records (categories) in a page
10
Number of pages for the given pageSize
10
A 24-character system-generated category ID.
"6170135a49b4af38190970fe"
Numeric category ID
12
Category name
"Furniture"
Show child attributes
Show child attributes
Was this page helpful?
